summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author majk <majk@konstelacioj.info>2010-05-12 23:33:40 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 23:33:40 +0200
commit4fe55491bf2d671c705b9645b5d8061c54135520 (patch)
tree6e2e6ae3a238ef08b0ee159ed43a6b7bb3580341
parent5de67e74f5e69f8b272abb4f7266b9ed7bc1a450 (diff)
downloadslackbuilds-4fe55491bf2d671c705b9645b5d8061c54135520.tar.gz
slackbuilds-4fe55491bf2d671c705b9645b5d8061c54135520.tar.xz
system/lxtask: Added to 12.2 repository
-rw-r--r--system/lxtask/README5
-rw-r--r--system/lxtask/doinst.sh3
-rw-r--r--system/lxtask/lxtask.SlackBuild70
-rw-r--r--system/lxtask/lxtask.info8
-rw-r--r--system/lxtask/slack-desc19
5 files changed, 105 insertions, 0 deletions
diff --git a/system/lxtask/README b/system/lxtask/README
new file mode 100644
index 0000000000..010bd2db0b
--- /dev/null
+++ b/system/lxtask/README
@@ -0,0 +1,5 @@
+LXTask - lightweight and desktop-independent task manager derived from
+xfce4-taskmanager with all dependencies on xfce removed, new features,
+and some improvement of the user interface.
+
+This program is stand-alone and doesn't have any dependency besides GTK2. \ No newline at end of file
diff --git a/system/lxtask/doinst.sh b/system/lxtask/doinst.sh
new file mode 100644
index 0000000000..01ca62b341
--- /dev/null
+++ b/system/lxtask/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi \ No newline at end of file
diff --git a/system/lxtask/lxtask.SlackBuild b/system/lxtask/lxtask.SlackBuild
new file mode 100644
index 0000000000..7a3138d4e9
--- /dev/null
+++ b/system/lxtask/lxtask.SlackBuild
@@ -0,0 +1,70 @@
+#!/bin/sh
+
+# Slackware build script for LostIRC
+
+# Written by "majk" <majk@konstelacioj.info>
+
+PRGNAM=lxtask
+VERSION=${VERSION:-0.1}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+fi
+
+set -e # Exit on most errors
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --mandir=/usr/man \
+ --build=$ARCH-slackware-linux
+
+# Compile the application and install it into the $PKG directory
+make
+make install-strip DESTDIR=$PKG
+
+# Compress man pages
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a AUTHORS ChangeLog COPYING INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+# Copy the slack-desc doinst.sh into ./install
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+# Make the package
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz \ No newline at end of file
diff --git a/system/lxtask/lxtask.info b/system/lxtask/lxtask.info
new file mode 100644
index 0000000000..34471b48e9
--- /dev/null
+++ b/system/lxtask/lxtask.info
@@ -0,0 +1,8 @@
+PRGNAM="lxtask"
+VERSION="0.1"
+HOMEPAGE="http://lxde.org"
+DOWNLOAD="http://downloads.sourceforge.net/lxde/lxtask-0.1.tar.gz"
+MD5SUM="e69b31ea8169bcf1d9b0c40c06a6e782"
+MAINTAINER="majk"
+EMAIL="majk@konstelacioj.info"
+APPROVED="dsomero"
diff --git a/system/lxtask/slack-desc b/system/lxtask/slack-desc
new file mode 100644
index 0000000000..437c645982
--- /dev/null
+++ b/system/lxtask/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|' on
+# the right side marks the last column you can put a character in. You must make
+# exactly 11 lines for the formatting to be correct. It's also customary to
+# leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+lxtask: lxtask (Simple GTK task manager)
+lxtask:
+lxtask: LXTask - lightweight and desktop-independent task manager derived
+lxtask: from xfce4-taskmanager with all dependencies on xfce removed,
+lxtask: new features, and some improvement of the user interface.
+lxtask:
+lxtask:
+lxtask: Homepage: http://lxde.org/
+lxtask:
+lxtask:
+lxtask: